Subject: Re: [PATCH] repack: add `repack.honorpackkeep` config var

From: Junio C Hamano <[email-masked]>
Date: Wed, 26 Feb 2014 12:30:36 -0800

Jeff King <[email-masked]> writes:

> On Mon, Feb 24, 2014 at 11:10:49AM -0800, Junio C Hamano wrote:
>
>> > The best name I could come up with is "--pack-keep-objects", since that
>> > is literally what it is doing. I'm not wild about the name because it is
>> > easy to read "keep" as a verb (and "pack" as a noun). I think it's OK,
>> > but suggestions are welcome.
>> 
>> pack-kept-objects then?
>
> Hmm. That does address my point above, but somehow the word "kept" feels
> awkward to me. I'm ambivalent between the two.

That word does make my backside somewhat itchy ;-)

Would it help to take a step back and think what the option really
does?  Perhaps we should call it --pack-all-objects, which is short
for --pack-all-objectsregardless-of-where-they-currently-are-stored,
or something?  The word "all" gives a wrong connotation in a
different way (e.g. "regardless of reachability" is a possible wrong
interpretation), so that does not sound too good, either.

"--repack-kept-objects"?  "--include-kept-objects"?